#!/bin/bash
# getmedsrv.sh
#
# by Charles Riley
# eRAD/Imagemedical
#
# retrieves medsrv from helen.eradimagemedical.net using rsync
# tunneled through ssh
#
# usage:
#
#	getmedsrv.sh version
#
#       e.g. getmedsrv 5.0

debug=1
medsrv_version=$1
patchhost="support.erad.com"

while [ -z "$medsrv_version" ]; do
    echo "Please enter the version of medsrv that you wish to retrieve (example: 5.0)"
    echo "** Note: $0 does not work for versions of medsrv prior to 4.2"
    read -p "Version: " medsrv_version
done

patchdir_version=$(echo $medsrv_version |sed 's/\.//')

echo "Press enter to continue getting version $medsrv_version of medsrv from patch server, $patchhost"
echo "or Control-C to abort."
[ -n "$debug" ] && echo "medsrv directory is $patchdir_version"

read a

rsync -va -e ssh --progress --delete $patchhost:/home/medsrv/releases/medsrv/$patchdir_version /home/image/

echo "medsrv version /home/image/$patchdir_version has been synchronized."

